/* Emacs style mode select   -*- C++ -*-
 *-----------------------------------------------------------------------------
 *
 *
 *  PrBoom: a Doom port merged with LxDoom and LSDLDoom
 *  based on BOOM, a modified and improved DOOM engine
 *  Copyright (C) 1999 by
 *  id Software, Chi Hoang, Lee Killough, Jim Flynn, Rand Phares, Ty Halderman
 *  Copyright (C) 1999-2000 by
 *  Jess Haas, Nicolas Kalkhof, Colin Phipps, Florian Schulze
 *  Copyright 2005, 2006 by
 *  Florian Schulze, Colin Phipps, Neil Stevens, Andrey Budko
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 * DESCRIPTION:
 *      Screen multiply stuff. There are three algos:
 *      fast special methods for 2x and 4x and universal algo
 *
 *-----------------------------------------------------------------------------*/

#ifndef __R_SCREENMULTIPLY__
#define __R_SCREENMULTIPLY__

#ifdef __GNUG__
#pragma interface
#endif

#include "doomtype.h"

extern int render_screen_multiply;
extern int screen_multiply;
extern int render_interlaced_scanning;
extern int interlaced_scanning_requires_clearing;

void R_ProcessScreenMultiply(byte* pixels_src, byte* pixels_dest,
  int pixel_depth, int pitch_src, int pitch_dest);

#endif
